Bug Hunting Session
Bug 66508 - EDITING: Coping a chart will make Calc crash.
Summary: EDITING: Coping a chart will make Calc crash.
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.1.0.1 rc
Hardware: Other Linux (All)
: highest blocker
Assignee: Not Assigned
URL:
Whiteboard: BSA target:4.1.0.2
Keywords: regression
Depends on:
Blocks: mab4.1
  Show dependency treegraph
 
Reported: 2013-07-02 14:20 UTC by minhsien0330
Modified: 2013-07-09 06:33 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
The example file for test this bug. (15.32 KB, application/vnd.oasis.opendocument.spreadsheet)
2013-07-02 14:20 UTC, minhsien0330
Details

Note You need to log in before you can comment on or make changes to this bug.
Description minhsien0330 2013-07-02 14:20:41 UTC
Created attachment 81888 [details]
The example file for test this bug.

Problem description: 
Coping a chart will make Calc crash.

Steps to reproduce:
1. Open the "carsh.ods"
2. Click the chart and press "Ctrl+C".
3. Then Calc crashs.

Current behavior:
Coping a chart will make Calc crash.

Expected behavior:
Coping a chart do not make Calc crash.

Thanks.

              
Operating System: Debian
Version: 4.1.0.1 rc
Last worked in: 4.0.3.3 release
Comment 1 Thomas van der Meulen 2013-07-02 14:41:52 UTC
Thank you for your bug report, I can reproduce this bug running LibreOffice 4.1.0.1 on Ubuntu 12.04.2.

I CANNOT confirm this bug running LibreOffice 4.1.0.1 on Mac osx 10.8.4
Comment 2 Thomas van der Meulen 2013-07-02 14:53:12 UTC
Markus could you take a look add this please? I think it is serious.
Comment 3 Eike Rathke 2013-07-02 16:54:47 UTC
Crashes in mdds

#6  0x00007ff82e236c8d in mdds::multi_type_vector<mdds::mtv::custom_block_func1<51, mdds::mtv::default_element_block<51,
 sc::CellTextAttr> > >::set_empty_impl(unsigned long, unsigned long, unsigned long, unsigned long) ()
   from solver/unxlngx6.pro/installation/opt/program/../program/libsclo.so
#7  0x00007ff82e237308 in mdds::multi_type_vector<mdds::mtv::custom_block_func1<51, mdds::mtv::default_element_block<51,
 sc::CellTextAttr> > >::set_empty(unsigned long, unsigned long) ()
   from solver/unxlngx6.pro/installation/opt/program/../program/libsclo.so
#8  0x00007ff82e23f1b6 in ScColumn::CopyCellTextAttrsToDocument(int, int, ScColumn&) const ()
   from solver/unxlngx6.pro/installation/opt/program/../program/libsclo.so
#9  0x00007ff82e2250ce in ScColumn::CopyStaticToDocument(int, int, ScColumn&) ()
   from solver/unxlngx6.pro/installation/opt/program/../program/libsclo.so
Comment 4 Markus Mohrhard 2013-07-02 20:15:10 UTC
I fixed this bug already some time ago in master and just forgot to push the fixes to 4-1.

Pending review now for 4-1 so it should be in the 4.1.0.2.
Comment 5 Commit Notification 2013-07-02 20:24:18 UTC
Markus Mohrhard committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3875218079cae6f94d938b810109de0222485af6&h=libreoffice-4-1

don't crash during chart copying, fdo#66508


It will be available in LibreOffice 4.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Bjarki Kristinsson 2013-07-08 23:02:51 UTC
After following the steps as described by minhsien0330, using his attachment, I can verify that this bug appears to be fixed. Calc doesn't crash when chart is copied with Ctrl+C.

Running Windows 8 64 bit
using daily build:
libreoffice-4-1~2013-07-06_14.02.34_LibreOfficeDev_4.1.1.0.0_Win_x86_archive
Comment 7 Bjarki Kristinsson 2013-07-08 23:20:12 UTC
Apologies, didn't notice it was on linux platform.

Although, after getting the latest daily build, LibreOffice_4.1.1.0.0_Linux_x86-64_deb, and going through the test process I can also verify that it works on Ubuntu 13.04 64 bit.
Comment 8 minhsien0330 2013-07-09 06:33:00 UTC
I tried 4.1.0 rc2, it was fixed. 
Thank you very much!!!

Best Regards,
Minhsien0330